=== debian/changelog ===
why3 (1.8.2-1) unstable; urgency=medium

  * New upstream release

 -- Ralf Treinen <treinen@debian.org>  Tue, 23 Sep 2025 22:40:18 +0200
