=== debian/control ===
Source: why3
Section: math
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Ralf Treinen <treinen@debian.org>
Build-Depends:
  debhelper-compat (= 13), dh-ocaml,
  autoconf,
  ocaml,
  ocaml-findlib,
  menhir (>= 20200123),
  libmenhir-ocaml-dev (>= 20200123),
  libzarith-ocaml-dev,
  libsqlite3-ocaml-dev,
  libzip-ocaml-dev,
  libnum-ocaml-dev,
  libocamlgraph-ocaml-dev (>= 1.8.2),
  liblablgtk3-ocaml-dev, liblablgtksourceview3-ocaml-dev,
  tex-common
Build-Depends-Indep:
  python3-sphinx, python3-sphinxcontrib.bibtex,
  texlive-plain-generic,
  texlive-latex-recommended, texlive-latex-extra,
  texlive-fonts-recommended,
  texlive-bibtex-extra,
  tex-gyre,
  graphviz
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://www.why3.org/
Vcs-Git: https://salsa.debian.org/ocaml-team/why3.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/why3

Package: why3
Architecture: any
Depends:
  ${shlibs:Depends},
  ${ocaml:Depends},
  ${misc:Depends},
Recommends: cvc4 (<< 1.9) | cvc5 (<< 1.3) | spass | z3 (<< 4.14)
Suggests: why3-examples
Breaks: libwhy3-ocaml-dev (<< 1.8), why3-coq (<< 1.8)
Replaces: libwhy3-ocaml-dev (<< 1.8), why3-coq (<< 1.8)
Description: Software verification platform
 Why3 is a platform for deductive program verification. It provides a
 rich language for specification and programming, called WhyML, and
 relies on external theorem provers, both automated and interactive,
 to discharge verification conditions. Why3 comes with a standard
 library of logical theories (integer and real arithmetic, Boolean
 operations, sets and maps, etc.) and basic programming data
 structures (arrays, queues, hash tables, etc.). A user can write
 WhyML programs directly and get correct-by-construction OCaml
 programs through an automated extraction mechanism. WhyML is also
 used as an intermediate language for the verification of C, Java, or
 Ada programs.
 .
 Why3 is a complete reimplementation of the former Why platform. Among
 the new features are: numerous extensions to the input language, a
 new architecture for calling external provers, and a well-designed
 API, allowing to use Why3 as a software library. An important
 emphasis is put on modularity and genericity, giving the end user a
 possibility to easily reuse Why3 formalizations or to add support for
 a new external prover if wanted.

Package: libwhy3-ocaml-dev
Architecture: any
Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
Suggests: ocaml-findlib
Provides: ${ocaml:Provides}
Section: ocaml
Description: OCaml librariries for why3 (dev)
 This package contains the libraries of the why3 verification platform
 for developing applications using why3.

Package: why3-examples
Architecture: all
Depends: ${misc:Depends}
Recommends: why3
Description: Examples for the why3 verification platform
 This package contains examples, both of program verification tasks
 and pure logical verification tasks, for the why3 software verification
 platform.

Package: why3-doc-html
Architecture: all
Depends: ${misc:Depends},
  libjs-jquery,
  libjs-underscore,
  libjs-mathjax,
  libjs-sphinxdoc
Suggests: why3
Description: HTML Documentation of the why3 verification platform
 This package contains the tutorial and reference manual of the
 why3 verification platform in HTML format.

Package: why3-doc-pdf
Architecture: all
Depends: ${misc:Depends}
Suggests: why3
Description: PDF Documentation of the why3 verification platform
 This package contains the tutorial and reference manual of the
 why3 verification platform in PDF format.
