=== debian/watch ===
version=4

opts="searchmode=plain" \
 https://gitlab.inria.fr/why3/@PACKAGE@/tags?sort=updated_desc \
 -/archive/\d[\d.]+/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate
